Bug 1070901 - FreeCAD won't build in Factory after drop of Qt4 WebKit
FreeCAD won't build in Factory after drop of Qt4 WebKit
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
All openSUSE Factory
: P5 - None : Major (vote)
: ---
Assigned To: Adrian Schröter
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-03 08:25 UTC by Fabian Vogt
Modified: 2018-01-11 09:27 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Vogt 2017-12-03 08:25:27 UTC
Qt 4 WebKit will be dropped very soon and FreeCAD will thus not build in factory and also not be installable anymore.

There is already a Qt5-based version in science:unstable (see boo#1055514), so that should probably be submitted.
Comment 1 Dmitry Roshchin 2017-12-03 08:47:54 UTC
Reassigned to Adrian
Comment 2 Adrian Schröter 2017-12-05 09:03:37 UTC
the version in :unstable is a pre snapshot of version 0.17. There is no official released version yet and I had quite some trouble with it these days on leap 15.0 (not all modules worked, python3 and intel GL driver related).

(0.17 build using python2 and qt4 was working fine on leap 42.3 though)

I can not recommend to use it atm before we figured out these problems.
Comment 3 Fabian Vogt 2017-12-14 10:36:40 UTC
FreeCAD is currently the only package with no active submission for this.

I suggest submitting the Qt5 based version to Factory, the Qt4 based version can be offered in a different repo together with libQtWebKit4.
Comment 4 Luigi Baldoni 2018-01-03 17:23:01 UTC
Chiming in.
Not sure if it's of any use to the matter at hand, but I recently backported a number of patches to have SoQt 1.5 build with Qt5, which I see is a dependency.
Comment 5 Wolfgang Bauer 2018-01-04 17:52:28 UTC
I patched the current version to build without QtWebKit:
https://api.opensuse.org/request/show/561715

Should be an acceptable temporary solution I think, until the Qt5 version is considered good enough.

That's exactly what Arch Linux seems to be doing as well btw, and that's where I took the patches from:
https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/freecad
Comment 6 Adrian Schröter 2018-01-11 09:27:13 UTC
thanks, this got forwarded to factory meanwhile.